#pragma once

#include <cgv/gui/fltk/named_object.h>

#include <cgv/gui/fltk/lib_begin.h>

namespace cgv {
	namespace gui {
		namespace fltk {

struct event_base
{
	enum Result { NOT_HANDLED = 0, HANDLED = 1, REDRAW = 2, HANDLED_AND_REDRAW = 3, REINIT = 4, USED_TIME = 8 };
};

class CGV_API fltk_event_handler : 
	virtual public named_object, 
	public event_base
{
public:
	virtual Result handle_event(int event);
	virtual void show_help(int& ) const;
};

		}
	}
}

#include <cgv/config/lib_end.h>