#pragma once

#include <cgv/media/image/lib_begin.h>

namespace cgv {
	namespace media {
		namespace image {

/// writes rgb buffer to bmp file
extern CGV_API bool write_rgb_bmp(const char* file_name, 
			   unsigned short width, unsigned short height, 
			   const unsigned char* data);

/// writes single chanal luminance image of type unsigned char to bmp file
extern CGV_API bool write_lum_bmp(const char* file_name, 
			   unsigned short width, unsigned short height, 
			   const unsigned char* data);

/// reads rgb image from rgb bmp file
extern CGV_API bool read_bmp(const char* file_name, 
			   unsigned short& width, unsigned short& height, 
			   unsigned char*& data);
		}
	}
}

#include <cgv/config/lib_end.h>
