#pragma once
#pragma message("     _Adding library: opengl32.lib" ) 
#pragma comment( lib, "opengl32.lib" )
#include <windows.h>
#include <GL/gl.h>
#include <vector>



namespace MarchSquares
{
	double getInterpolationValue(double val1, double val2, double iso); // helper function: returns the normalized value of iso level inbetween interval of two scalars
	double interpolateLinear(double val1, double val2, double t); //helper function: returns affin combination of two scalars with parameter t
	void renderMS(double iso, std::vector<float> data, int DimU, int DimV); // the actual march squares implementation
}