#include <cgv/base/named.h>

namespace cgv {
	namespace base {


/// construct from name
named::named(const char* _name) : name(_name)
{
}

/// return the parent node
const char* named::get_name() const
{
	return name;
}

/// set a new parent node
void named::set_name(const char* _name)
{
	name = _name;
}

/// cast upward to named
named* named::get_named()
{
	return this;
}

/// overload to return the type name of this object
const char* named::get_type_name() const
{
	return "named";
}

	}
}
