#pragma once

#include <cgv/gui/fltk/event_source.h>

namespace cgv {
	namespace gui {
		namespace fltk {


event_source::event_source() : receiver(0) 
{
}

fltk_event_handler::Result event_source::emit(int event) const 
{
	if (receiver) 
		return receiver->handle_event(event); 
	return NOT_HANDLED;
}
void event_source::set_receiver(fltk_event_handler* _receiver) 
{
	receiver = _receiver; 
	on_set_receiver(); 
}

void event_source::on_set_receiver() 
{
}

		}
	}
}