#pragma once

#include <cgv/gui/trigger.h>

#include <cgv/gui/fltk/lib_begin.h>

namespace cgv {
	namespace gui {
		namespace fltk {

/// implements a trigger server with fltk
class CGV_API trigger_server : public gui::trigger_server
{
public:
	void schedule_on_shot(trigger*, double delay);
	void schedule_recuring(trigger*, double delay);
	void stop(trigger*);
};

		}
	}
}

#include <cgv/config/lib_end.h>