#pragma once
#pragma message("     _Adding library: opengl32.lib" ) 
#pragma comment( lib, "opengl32.lib" )
#include <windows.h>
#include <GL/gl.h>
#include <vector>

namespace MarchCubes
{
	struct GLvector
	{
			GLfloat x;
			GLfloat y;
			GLfloat z;     
	};

	GLvoid NormalizeVector(GLvector &VectorResult, GLvector &VectorSource); // helper function to normalize a given vector
	GLfloat GetOffset(GLfloat Value1, GLfloat Value2, GLfloat ValueDesired); //helper function to find affine coefficient that is needed for linear interpolation
	GLvoid renderMC(GLfloat x, GLfloat y, GLfloat z, GLfloat Scale, std::vector<float> data, double isolevel); // actual rendering algorithm
}